=== debian/changelog ===
gnudatalanguage (1.0.1-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Mark test-gdl autopkgtest as flaky (Closes: #1016425, #1002788)

  [ Ole Streicher ]
  * Increase test_tic_toc tolerance (Closes: #1002584)
  * Switch to wxwidgets3.2 (Closes: #1019782)
  * Remove outdated versionized dependencies
  * Push Standards-Version to 4.6.2. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Tue, 25 Oct 2022 13:23:51 +0200

gnudatalanguage (1.0.1-3) unstable; urgency=medium

  * Lift the usual restrictions on the size of the global offset table
    (Closes: #1001170)

 -- Ole Streicher <olebole@debian.org>  Sat, 11 Dec 2021 13:06:20 +0100

gnudatalanguage (1.0.1-2) unstable; urgency=medium

  * Implement wxApp in Python to fix missing symbol

 -- Ole Streicher <olebole@debian.org>  Fri, 29 Oct 2021 09:21:36 +0200

gnudatalanguage (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Drop bugfix patch: applied upstream

 -- Ole Streicher <olebole@debian.org>  Thu, 21 Oct 2021 08:41:43 +0200
