## gnudatalanguage 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,10 @@
 
 cmake_minimum_required(VERSION 3.2 FATAL_ERROR)
 
+if (NOT EXISTS "${CMAKE_SOURCE_DIR}/src/whereami/.git" )
+  message(FATAL_ERROR "The src/whereami git submodule is not initialised.\n Please run `git submodule update --init`")
+endif()
+
 # Set some policies to fix warnings in newer versions of cmake
 # Since VERSION_GREATER_EQUAL is available only since 3.7, we use 
 # VERSION_GREATER combined with VERSION_EQUAL to achieve what we want
@@ -24,12 +28,13 @@
 
 project(GDL)
 set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_C_STANDARD 99)
 
 # advice by Orion, mandatory for FC 28
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 # X.X.X git becomes release X.X.X+1
-set(VERSION "1.0.1")
+set(VERSION "1.0.3")
 enable_testing()
 
 # cf issue 511, managing MultiArch on Debian ...
@@ -48,7 +53,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/CMakeModules)
 #### GDL is an interactive tool. Normally INTERACTIVE_GRAPHICS must be set
-set(INTERACTIVE_GRAPHICS ON CACHE BOOL "GDL: Disable check of existence of a suited graphics driver in plplot.)")
+set(INTERACTIVE_GRAPHICS ON CACHE BOOL "GDL: Disable checking existence of a suited graphics driver in plplot. Only file output may be available, and 3D graphics may NOT work.")
 
 #### Default cached values
 set(GDLDEV OFF CACHE BOOL "GDL: Enable GDL developer mode (includes work-in-progress tests)")
@@ -83,8 +88,8 @@
 set(GRIB ON CACHE BOOL "GDL: Enable GRIB ?")
 set(GRIBDIR "" CACHE PATH "GDL: Specify the ECMWF ecCodes directory tree")
 
-# set(QHULL OFF CACHE BOOL "GDL: Enable Qhull ?")
-# set(QHULLDIR "" CACHE PATH "GDL: Specify the QHULL directory tree")
+set(QHULL ON CACHE BOOL "GDL: Enable Qhull ?")
+set(QHULLDIR "" CACHE PATH "GDL: Specify the QHULL directory tree")
 
 set(GLPK ON CACHE BOOL "GDL: Enable GLPK (for function SIMPLEX) ?")
 set(GLPKDIR "" CACHE PATH "GDL: Specify the GLPK directory tree")
@@ -144,7 +149,14 @@
 set(SZIPDIR "" CACHE PATH "GDL: Specify the SZip directory tree")
 
 set(GDL_DATA_DIR "/share/gnudatalanguage" CACHE PATH "GDL: data directory relative to CMAKE_INSTALL_PREFIX")
-
+set(GDL_LIB_DIR "" CACHE PATH "GDL: library directory relative to CMAKE_INSTALL_PREFIX")
+#define (for plplotdriver/CMakeLists.txt) the GDL_DRV_DIR where the drivers will be installed.
+#if GDL_LIB_DIR is empty, it will be the default (GDL_DATA_DIR/drivers) otherwise it is GDL_LIB_DIR (not GDL_LIB_DIR/drivers)
+if ( GDL_LIB_DIR STREQUAL "" OR NOT GDL_LIB_DIR)
+ set (GDL_DRV_DIR "${CMAKE_INSTALL_PREFIX}/${GDL_DATA_DIR}/drivers") # CACHE PATH "GDL: where the drivers will be installed.")
+else()
+ set (GDL_DRV_DIR "${GDL_LIB_DIR}" ) # CACHE PATH "GDL: where the drivers will be installed.")
+endif()
 # check for 64-bit OS
 if(${CMAKE_SIZEOF_VOID_P} EQUAL 8)
     set(HAVE_64BIT_OS 1)
@@ -214,6 +226,7 @@
 #     version of antlr in system-wide directories
 include_directories(src)
 
+#-------------------------------MANDATORY MODULES-------------------------------------
 if (NOT WIN32)
     # Ncurses MANDATORY for readline on POSIX
     # -DNCURSESDIR=DIR
@@ -284,41 +297,12 @@
         "(suitable Fedora/CentOS package: zlib-devel)")
 endif(ZLIB_FOUND)
 
-# libpng
-# -DPNGLIB=ON|OFF
-# -DPNGLIBDIR=DIR
-if(PNGLIB)
-    set(CMAKE_PREFIX_PATH ${PNGLIBDIR})
-    find_package(PNG QUIET)
-    set(USE_PNGLIB ${PNG_FOUND})
-    if(PNG_FOUND)
-        set(LIBRARIES ${LIBRARIES} ${PNG_LIBRARIES})
-        set(LINK_DIRECTORIES ${LINK_DIRECTORIES} ${PNG_LIBRARY_DIRS})
-        include_directories(${PNG_INCLUDE_DIRS})
-    else(PNG_FOUND)
-        message(FATAL_ERROR "libpng is required but was not found.\n"
-        "Use -DPNGLIBDIR=DIR to specify the libpng directory tree.\n"
-        "Use -DPNGLIB=OFF to not use it.\n"
-                "(suitable Debian/Ubuntu package: libpng-dev)\n"
-                "(suitable Fedora/CentOS package: libpng-devel)")
-    endif(PNG_FOUND)
-endif(PNGLIB)
-
-# openmp
-# -DOPENMP=ON|OFF
-if(OPENMP)
-  find_package(OpenMP QUIET)
-  set(USE_OPENMP ${OPENMP_FOUND})
-  if(OPENMP_FOUND)
-    if(MSVC)
-      set(LIBRARIES ${LIBRARIES} vcomp)
-    elseif(WIN32)
-      set(LIBRARIES ${LIBRARIES} gomp pthread)
-    else()
-      set(LIBRARIES ${LIBRARIES} ${OpenMP_CXX_FLAGS})
-    endif()
-    if(APPLE)
-      link_directories(/usr/local/lib)
-    endif()
-  else(OPENMP_FOUND)
-    message(FATAL_ERROR "Your compiler does not support OpenMP or OpenMP was not found"
+# GSL MANDATORY
+# -DGSLDIR=DIR
+set(CMAKE_PREFIX_PATH ${GSLDIR})
+find_package(GSL QUIET)
+set(HAVE_LIBGSL ${GSL_FOUND})
+set(HAVE_LIBGSLCBLAS ${GSL_FOUND})
+if(GSL_FOUND)
+    set(LIBRARIES ${LIBRARIES} ${GSL_LIBRARIES})
+    include_directories(${GSL_INCLUDE_DIR})
