=== debian/changelog ===
gnudatalanguage (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Rediff patches
  * Install plplot drivers to usr/lib/arch/gnudatalanguage

 -- Ole Streicher <olebole@debian.org>  Thu, 05 Oct 2023 18:50:20 +0200

gnudatalanguage (1.0.2-1) unstable; urgency=medium

  [ Axel Beckert ]
  * Update Gürkan's e-mail address.
  * Remove myself from Uploaders.

  [ Ole Streicher ]
  * New upstream version 1.0.2
  * Rediff patches
  * Push Standards-Version to 4.6.2. No changes
  * Don't use qhull yet

 -- Ole Streicher <olebole@debian.org>  Thu, 19 Jan 2023 16:56:59 +0100
