=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnudatalanguage
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>,
-           Axel Beckert <abe@debian.org>,
-           Gürkan Myczko <gurkan@phys.ethz.ch>
+           Gürkan Myczko <tar@debian.org>
 Section: interpreters
 Priority: optional
 Build-Depends: cmake,
@@ -34,7 +33,7 @@
                xauth,
                xvfb,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/gnudatalanguage
 Vcs-Git: https://salsa.debian.org/debian-astro-team/gnudatalanguage.git
 Homepage: https://github.com/gnudatalanguage/gdl
