=== debian/changelog ===
gnudatalanguage (1.0.4-1build6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:15:38 +0000

gnudatalanguage (1.0.4-1build5) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:11:24 +0100

gnudatalanguage (1.0.4-1build4) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:23:55 +0000

gnudatalanguage (1.0.4-1build3) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:45:51 +0000

gnudatalanguage (1.0.4-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 and eccodes 2.32.2 (2.33, the previous
    rebuild, was removed from noble-proposed)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 23 Feb 2024 09:15:42 -0300

gnudatalanguage (1.0.4-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 18:03:09 +0000

gnudatalanguage (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
  * Rediff patches
  * Drop Increase-test_tic_toc-tolerance.patch: Test logic changed
  * Use external whereami library instead of local copy

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Dec 2023 17:17:52 +0100
