=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gnudatalanguage
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>,
            Gürkan Myczko <tar@debian.org>
 Section: interpreters
@@ -25,6 +26,7 @@
                libreadline-dev,
                libtirpc-dev,
                libudunits2-dev,
+               libwhereami-dev,
                libwxgtk3.2-dev,
                plplot-driver-wxwidgets,
                pslib-dev,
