=== debian/rules ===
--- 
+++ 
@@ -33,9 +33,10 @@
 	  -DPYTHON_MODULE=YES \
 	  -DWXWIDGETS=YES \
 	  -DGRIB=YES \
-	  -DQHULL=YES \
+	  -DQHULL=NO \
 	  -DUDUNITS=YES \
-	  -DPSLIB=YES
+	  -DPSLIB=YES \
+	  -DGDL_LIB_DIR=/usr/lib/`dpkg-architecture -qDEB_BUILD_MULTIARCH`/gnudatalanguage
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
