=== debian/tests/control ===
Tests: test-gdl
Depends: gnudatalanguage, xauth, xvfb, plplot-driver-xwin
Restrictions: allow-stderr, flaky

Tests: test-GDL.py
Depends: python3-gdl, python3-pytest, python3-numpy
