## gnudatalanguage 1.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,19 @@
   message(FATAL_ERROR "The src/whereami git submodule is not initialised.\n Please run `git submodule update --init`")
 endif()
 
+# create version string based on git metadata (based on https://github.com/nocnokneo/cmake-git-versioning-example)
+# in case version.hpp does not exist (it is shipped in GDL tarballs but not stored in the repo)
+if (NOT EXISTS "${CMAKE_SOURCE_DIR}/src/version.hpp")
+  find_package(Git REQUIRED)
+  add_custom_target(version
+    ${CMAKE_COMMAND} -D SRC=${CMAKE_SOURCE_DIR}/src/version.hpp.in
+                     -D DST=${CMAKE_BINARY_DIR}/version.hpp
+                     -D GIT_EXECUTABLE=${GIT_EXECUTABLE}
+                     -P ${CMAKE_SOURCE_DIR}/CMakeModules/GenerateVersionHeader.cmake
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+  )
+endif()
+
 # Set some policies to fix warnings in newer versions of cmake
 # Since VERSION_GREATER_EQUAL is available only since 3.7, we use 
 # VERSION_GREATER combined with VERSION_EQUAL to achieve what we want
@@ -33,8 +46,6 @@
 # advice by Orion, mandatory for FC 28
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
-# X.X.X git becomes release X.X.X+1
-set(VERSION "1.0.4")
 enable_testing()
 
 # cf issue 511, managing MultiArch on Debian ...
@@ -54,7 +65,8 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/CMakeModules)
 #### GDL is an interactive tool. Normally INTERACTIVE_GRAPHICS must be set
 set(INTERACTIVE_GRAPHICS ON CACHE BOOL "GDL: Disable checking existence of a suited graphics driver in plplot. Only file output may be available, and 3D graphics may NOT work.")
-
+### compile basic sources monolithically or not, make compilation slow
+set(SPLIT_SOURCES_FILES ON CACHE BOOL "GDL: Force a single compilation for all templates, avoid symbol duplication")
 #### Default cached values
 set(GDLDEV OFF CACHE BOOL "GDL: Enable GDL developer mode (includes work-in-progress tests)")
 
@@ -282,27 +294,3 @@
   endif(READLINE_FOUND)
 endif(READLINE)
 
-# zlib MANDATORY
-# -DZLIBDIR=DIR
-set(CMAKE_PREFIX_PATH ${ZLIBDIR})
-find_package(ZLIB QUIET)
-set(HAVE_LIBZ ${ZLIB_FOUND})
-if(ZLIB_FOUND)
-    set(LIBRARIES ${LIBRARIES} ${ZLIB_LIBRARIES})
-    include_directories(${ZLIB_INCLUDE_DIR})
-else(ZLIB_FOUND)
-    message(FATAL_ERROR "ZLib library is required but was not found.\n"
-    "Use -DZLIBDIR=DIR to specify the zlib directory tree.\n"
-        "(suitable Debian/Ubuntu package: zlib1g-dev)\n"
-        "(suitable Fedora/CentOS package: zlib-devel)")
-endif(ZLIB_FOUND)
-
-# GSL MANDATORY
-# -DGSLDIR=DIR
-set(CMAKE_PREFIX_PATH ${GSLDIR})
-find_package(GSL QUIET)
-set(HAVE_LIBGSL ${GSL_FOUND})
-set(HAVE_LIBGSLCBLAS ${GSL_FOUND})
-if(GSL_FOUND)
-    set(LIBRARIES ${LIBRARIES} ${GSL_LIBRARIES})
-    include_directories(${GSL_INCLUDE_DIR})
