=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,13 +8,15 @@
 GDLLexer.cpp
 GDLParser.cpp
 GDLTreeParser.cpp
-datatypes.cpp #long
-convol.cpp #long
-convol2.cpp #long
-smooth.cpp   #long also
+datatypes.cpp
+)
+ 
+if(NOT ONE_DATAFILE)
+message(STATUS "Using Splitted datatypes.cpp.")
+set(SOURCES
+${SOURCES}
 basic_op.cpp
 basic_op_new.cpp
-getas.cpp
 basic_op_add.cpp
 basic_op_sub.cpp
 basic_op_mult.cpp
@@ -22,6 +24,15 @@
 default_io.cpp
 ifmt.cpp
 ofmt.cpp
+)
+endif(NOT ONE_DATAFILE)
+
+set (SOURCES
+${SOURCES}
+convol.cpp #long
+convol2.cpp #long
+smooth.cpp   #long also
+getas.cpp
 datatypes_minmax.cpp
 allix.cpp
 arrayindex.cpp
@@ -44,6 +55,7 @@
 dstructfactory.cxx
 dstructgdl.cpp
 dvar.cpp
+eigenvalues_solvers.cpp
 envt.cpp
 extrat.cpp
 exists_fun.cpp
@@ -53,6 +65,7 @@
 gdlarray.cpp
 gdleventhandler.cpp
 gdlexception.cpp
+gdlfpexceptions.cpp
 gdlgstream.cpp
 )
 
@@ -60,6 +73,7 @@
 set(SOURCES
 ${SOURCES}
 gdlxstream.cpp
+shm.cpp
 )
 endif(NOT WIN32)
 
@@ -153,8 +167,8 @@
 read.cpp
 saverestore.cpp
 semshm.cpp
-sigfpehandler.cpp
 sorting.cpp
+sparse_matrix.cpp
 str.cpp
 terminfo.cpp
 tiff.cxx
@@ -182,12 +196,14 @@
 qhull.cpp
 )
 endif(HAVE_QHULL)
+
 if(WIN32)
 set(SOURCES
 ${SOURCES}
 gdl.rc
 )
 endif(WIN32)
+
 if(HAVE_LIBWXWIDGETS AND WIN32)
 find_file(WX_RC wx.rc HINTS ${wxWidgets_INCLUDE_DIRS} PATH_SUFFIXES wx/msw)
 set(SOURCES
@@ -195,6 +211,7 @@
 ${WX_RC}
 )
 endif(HAVE_LIBWXWIDGETS AND WIN32)
+
 #local plplot drivers
 add_subdirectory(plplotdriver)
 #whereami
@@ -221,10 +238,13 @@
 endif(USE_OPENMP)
 
 add_dependencies(gdl antlr whereami) # be sure that antlr is built before gdl
-target_link_libraries(gdl antlr whereami) # link antlr against gdl
+target_link_libraries(gdl antlr whereami) # link antlr against gdl. added librt for mmap (unix only, not osx, apparently)
 if (MINGW)
 target_link_libraries(gdl ws2_32)
 endif (MINGW)
+if (NOT APPLE AND NOT OSX AND NOT MINGW)
+target_link_libraries(gdl rt) # link antlr against gdl. added librt for mmap (unix only, not osx, apparently)
+endif (NOT APPLE AND NOT OSX AND NOT MINGW)
 target_link_libraries(gdl ${LIBRARIES})
 
 add_definitions(-DHAVE_CONFIG_H)
