=== debian/changelog ===
gnudatalanguage (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed
  * Re-enable HDF5 support
  * Allow some more tests to fail
  * Update d/watch to use github asset as source

 -- Ole Streicher <olebole@debian.org>  Thu, 08 Aug 2024 14:45:03 +0200
