=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gnudatalanguage
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>,
            Gürkan Myczko <tar@debian.org>
 Section: interpreters
@@ -8,6 +7,7 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-python,
+               hdf5-tools,
                libantlr-dev,
                libeigen3-dev,
                libfftw3-dev,
@@ -35,7 +35,7 @@
                xauth,
                xvfb,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/gnudatalanguage
 Vcs-Git: https://salsa.debian.org/debian-astro-team/gnudatalanguage.git
 Homepage: https://github.com/gnudatalanguage/gdl
