=== debian/watch ===
version=4
opts="searchmode=plain,filenamemangle=s%(?:.*?)?v?@ANY_VERSION@\.tar\.gz%@PACKAGE@-$1.tar.gz%,dversionmangle=s/@DEB_EXT@//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/,repacksuffix=+dfsg" \
  https://api.github.com/repos/gnudatalanguage/gdl/releases?per_page=100 \
  https://github.com/gnudatalanguage/gdl/releases/download/v\d[\.\d]*/gdl-v@ANY_VERSION@.tar.gz
